com.impinj.octane

## Class TagQtGetOpResult

- java.lang.Object
- - com.impinj.octane.TagOpResult
  - - com.impinj.octane.TagQtGetOpResult

-     public class TagQtGetOpResult
      extends TagOpResult

  A class to contain the QtGetOp result

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagQtGetOpResult()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QtAccessRange` | `getAccessRange()`
    `QtDataProfile` | `getDataProfile()`
    `QtGetConfigResultStatus` | `getResult()`
    `void` | `setAccessRange(QtAccessRange accessRange)`
    `void` | `setDataProfile(QtDataProfile dataProfile)`
    `protected void` | `setResult(QtGetConfigResultStatus result)`

    - ### Methods inherited from class com.impinj.octane.TagOpResult

      `getOpId, getSequenceId, getTag, setOpId, setSequenceId, setTag`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TagQtGetOpResult

          public TagQtGetOpResult()

  - ### Method Detail

    - #### getResult

          public QtGetConfigResultStatus getResult()

      Returns:
        The result of the tag QT operation.

    - #### setResult

          protected void setResult(QtGetConfigResultStatus result)

      Parameters:
        `result` - The result of the tag QT operation.

    - #### getDataProfile

          public QtDataProfile getDataProfile()

      Returns:
        whether to access the tag private or public data profile.

    - #### setDataProfile

          public void setDataProfile(QtDataProfile dataProfile)

      Parameters:
        `dataProfile` - whether to access the tag private or public data profile.

    - #### getAccessRange

          public QtAccessRange getAccessRange()

      Returns:
        whether to reduce tag access range down to a meter or so, or not.

    - #### setAccessRange

          public void setAccessRange(QtAccessRange accessRange)

      Parameters:
        `accessRange` - whether to reduce tag access range down to a meter or so, or not.